<h1><?php _ex('Borlabs Cache &rsaquo; About', 'Top headline', 'borlabs-cache'); ?></h1>

<h2 class="nav-tab-wrapper">
    <a href="?page=borlabs-cache-about" class="nav-tab nav-tab-active"><?php _ex('About', 'Tab title', 'borlabs-cache'); ?></a>
</h2>
<div class="page-headline">
    <img src="<?php echo $this->imagePath; ?>/icons/about.svg" alt="">
    <h3><?php _ex('About', 'Headline right of icon', 'borlabs-cache'); ?></h3>
</div>
<div class="content">

    <div class="messages">
    <?php echo \Borlabs\Factory::get('Cache\Backend\Backend')->getMessages(); ?>
    </div>

    <h4><?php _ex('About Borlabs Cache', 'Sub headline', 'borlabs-cache'); ?></h4>

    <p><?php _ex('Borlabs Cache delivers your content to visitors in milliseconds. It reduces server load and saves bandwidth through browser caching, merging of CSS and JavaScript files, minification and compression.', 'About Text', 'borlabs-cache'); ?></p>
    <p><?php _ex('Features you get with Borlabs Cache:', 'About Text', 'borlabs-cache'); ?></p>
    <ul>
        <li><?php _ex('Page Caching - caches pages, posts, feeds, CSS, JavaScript, etc.', 'About Text', 'borlabs-cache'); ?></li>
        <li><?php _ex('Google Page Speed Ranking Improvement', 'About Text', 'borlabs-cache'); ?></li>
        <li><?php _ex('Search Result Caching', 'About Text', 'borlabs-cache'); ?></li>
        <li><?php _ex('Cache Preloading (Pro Version)', 'About Text', 'borlabs-cache'); ?></li>
        <li><?php _ex('Individual Cache Lifetimes (extended in Pro Version)', 'About Text', 'borlabs-cache'); ?></li>
        <li><?php _ex('Merging JavaScript Files', 'About Text', 'borlabs-cache'); ?></li>
        <li><?php _ex('Merging CSS Files', 'About Text', 'borlabs-cache'); ?></li>
        <li><?php _ex('Tidy HTML - removes HTML comments and unnecessary whitespace from posts, pages, etc.', 'About Text', 'borlabs-cache'); ?></li>
        <li><?php _ex('GZIP Compression - reduces bandwidth for your posts, pages, feed, CSS, JavaScript etc.', 'About Text', 'borlabs-cache'); ?></li>
        <li><?php _ex('Header Management - ETag, Last-Modified, Cache-Control, Expires', 'About Text', 'borlabs-cache'); ?></li>
        <li><?php _ex('Database Optimization', 'About Text', 'borlabs-cache'); ?></li>
        <li><?php _ex('Fragment Caching - allows dynamic content in static files', 'About Text', 'borlabs-cache'); ?></li>
        <li><?php _ex('DNS-Prefetching', 'About Text', 'borlabs-cache'); ?></li>
        <li><?php _ex('Multisite Compatibility', 'About Text', 'borlabs-cache'); ?></li>
        <li><?php _ex('Multilingual Compatibility', 'About Text', 'borlabs-cache'); ?></li>
        <li><?php _ex('Ecommerce Friendly', 'About Text', 'borlabs-cache'); ?></li>
        <li><?php _ex('Import/Export - use your settings easily on your other sites', 'About Text', 'borlabs-cache'); ?></li>
    </ul>

    <h4><?php _ex('Copyright', 'Sub headline', 'borlabs-cache'); ?></h4>
    <p><?php _ex('Borlabs Cache is intellectual property of Borlabs - Benjamin A. Bornschein. &copy; All rights reserved, Borlabs, <a href="https://borlabs.io" rel="noreferrer" target="_blank">Visit borlabs.io</a>', 'About Text', 'borlabs-cache'); ?></p>

    <h4><?php _ex('Icon Design', 'Sub headline', 'borlabs-cache'); ?></h4>
    <p>&copy; Icons made by <a href="https://www.iconfinder.com/popcornarts" rel="noreferrer" target="_blank">Popcorn Arts</a> from <a href="https://www.iconfinder.com" rel="noreferrer" target="_blank">www.iconfinder.com</a></p>
    <p>&copy; Icons made by <a href="https://www.flaticon.com/authors/popcorns-arts" rel="noreferrer" target="_blank">Icon Pond (Popcorn Arts)</a> from <a href="https://www.flaticon.com" rel="noreferrer" target="_blank">www.flaticon.com</a></p>
</div>