<div class="page-headline">
    <img src="<?php echo $this->imagePath; ?>/icons/advanced-settings.svg" alt="">
    <h3><?php _ex('Image', 'AS Image - Headline right of icon', 'borlabs-cache'); ?></h3>
</div>

<div class="content">

    <div class="messages">
    <?php echo \Borlabs\Factory::get('Cache\Backend\Backend')->getMessages(); ?>
    </div>

    <form method="post">

        <fieldset>

            <legend><?php _ex('Optimization', 'AS Image - Headline of a fieldset', 'borlabs-cache'); ?></legend>

            <div class="form-group">
                <div class="form-title"><?php _ex('Lazy Load', 'AS Image - Setting title', 'borlabs-cache'); ?></div>
                <div class="form-field">
                    <?php
                    if (!empty(\Borlabs\Factory::get('Cache\Backend\License')->isPremiumLicense())) {
                    ?>
                    <label for="imagesLazyLoad">
                        <input<?php echo $checkboxImagesLazyLoad; ?> type="checkbox" name="imagesLazyLoad" id="imagesLazyLoad" value="1"> <span class="option-title"><?php _ex('Activate', 'Setting checkbox', 'borlabs-cache'); ?></span>
                    </label>
                    <?php
                    } else {
                        echo \Borlabs\Factory::get('Cache\Backend\License')->getFeatureNotAvailableMessage(true);
                    }
                    ?>
                    <span class="description"><?php _ex("Images will be loaded as soon as they enter the browser's viewport.", 'AS Image - Setting description', 'borlabs-cache'); ?></span>
                </div>
            </div>

            <div class="form-group">
                <div class="form-title">
                    <label for="imagesLazyLoadExclude"><?php _ex("Exclude CSS classes from Lazy Loading", 'AS Image - Setting title', 'borlabs-cache'); ?></label>
                </div>
                <div class="form-field">
                    <?php
                    if (!empty(\Borlabs\Factory::get('Cache\Backend\License')->isPremiumLicense())) {
                    ?>
                    <textarea name="imagesLazyLoadExclude" id="imagesLazyLoadExclude" cols="80" rows="5"><?php echo esc_textarea($textareaImagesLazyLoadExclude); ?></textarea>
                    <span class="description"><?php _ex('One CSS class per line. An image having one of the excluded CSS classes will not used for Lazy Loading.', 'AS Image - Setting description', 'borlabs-cache'); ?></span>
                    <?php
                    } else {
                        echo \Borlabs\Factory::get('Cache\Backend\License')->getFeatureNotAvailableMessage(true);
                    }
                    ?>
                </div>
            </div>

            <?php
            if (!empty(\Borlabs\Factory::get('Cache\Backend\License')->isPremiumLicense())) {
            ?>
            <?php wp_nonce_field('borlabs_cache_advanced_settings_image'); ?>
            <input type="hidden" name="formSend" value="1">
            <input class="button-primary" type="submit" value="<?php _ex('Save settings', 'Button title', 'borlabs-cache'); ?>">
            <?php
            }
            ?>

        </fieldset>
    </form>
</div>
