<h1><?php _ex('Borlabs Cache &rsaquo; Cache Indexing', 'Cache Indexing - Top headline', 'borlabs-cache'); ?></h1>

<h2 class="nav-tab-wrapper">
    <a href="?page=borlabs-cache-indexing" class="nav-tab nav-tab-active"><?php _ex('Cache Indexing', 'Cache Indexing - Tab title', 'borlabs-cache'); ?></a>
    <a href="<?php _ex('https://borlabs.io/support/', 'Support URL', 'borlabs-cache'); ?>" class="nav-tab"><?php _ex('Support', 'Tab title', 'borlabs-cache'); ?> <span class="dashicons dashicons-external"></span></a>
</h2>
<div class="page-headline">
    <img src="<?php echo $this->imagePath; ?>/icons/cache-indexing.svg" alt="">
    <h3><?php _ex('Cache Indexing', 'Cache Indexing - Headline right of icon', 'borlabs-cache'); ?></h3>
</div>
<div class="content">
    <div class="messages">
    <?php echo \Borlabs\Factory::get('Cache\Backend\Backend')->getMessages(); ?>
    </div>

    <p><?php _ex('Cache indexing allows you to easily add all your pages to Borlabs Cache index by reading the URLs from your XML Sitemap.', 'Cache Indexing - Setting page description', 'borlabs-cache'); ?></p>


    <form method="post">
        <fieldset>
            <legend><?php _ex('XML Sitemap', 'Cache Indexing - Headline of a fieldset', 'borlabs-cache'); ?></legend>
            <div class="form-group">
                <div class="form-title">
                    <label for="xmlSitemapURL"><?php _ex('XML Sitemap URL', 'Cache Indexing - Setting title', 'borlabs-cache'); ?></label>
                </div>
                <div class="form-field">
                    <input value="<?php echo $inputXMLSitemapURL; ?>" type="text" name="xmlSitemapURL" id="xmlSitemapURL" class="regular-text">
                    <span class="description"><?php _ex('The URL to your XML Sitemap. Sitemap index files or compressed sitemaps are not supported but you can enter your sitemap index file URL to get a list of all your XML Sitemaps.', 'Cache Indexing - Setting description', 'borlabs-cache'); ?></span>
                    <?php
                    if (!empty($xmlSitemapIndexURLs)) {
                        ?>
                        <span class="description"><?php _ex('These sitemaps were detected in your sitemap index file. Click on a sitemap to automatically populate the XML Sitemap URL field.', 'Cache Indexing - Setting description', 'borlabs-cache'); ?></span>
                        <ul class="block">
                        <?php
                        foreach ($xmlSitemapIndexURLs as $sitemapIndexURL) {
                            ?>
                            <li data-borlabs-cache-sitemap-url="<?php echo $sitemapIndexURL; ?>" class="cursor"><?php echo basename($sitemapIndexURL); ?></li>
                            <?php
                        }
                        ?>
                        </ul>
                        <?php
                    }
                    ?>
                </div>
            </div>

            <?php
            if (!empty($xmlSitemapIndexURLs)) {
                ?>
                <div class="form-group">
                    <div class="form-title"><?php _ex('Reset Sitemap Index info', 'Cache Indexing - Setting title', 'borlabs-cache'); ?></div>
                    <div class="form-field">
                        <label for="xmlSitemapIndexReset">
                            <input type="checkbox" name="xmlSitemapIndexReset" id="xmlSitemapIndexReset" value="1"> <span class="option-title"><?php _ex('Reset', 'Setting checkbox', 'borlabs-cache'); ?></span>
                        </label>
                        <span class="description"><?php _ex("This option resets the information about of all found XML Sitemaps.", 'Cache Indexing - Setting description', 'borlabs-cache'); ?></span>
                    </div>
                </div>
                <?php
            }
            ?>

            <?php
            if (!empty($xmlSitemapURLs)) {
                ?>
                <div class="form-group">
                    <div class="form-title"><?php _ex('Reset Sitemap info', 'Cache Indexing - Setting title', 'borlabs-cache'); ?></div>
                    <div class="form-field">
                        <label for="xmlSitemapReset">
                            <input type="checkbox" name="xmlSitemapReset" id="xmlSitemapReset" value="1"> <span class="option-title"><?php _ex('Reset', 'Setting checkbox', 'borlabs-cache'); ?></span>
                        </label>
                        <span class="description"><?php _ex("This option removes all URLs from the cache indexing list which were found in your last XML Sitemap.", 'Cache Indexing - Setting description', 'borlabs-cache'); ?></span>
                    </div>
                </div>
                <?php
            }
            ?>

            <hr>
            <?php
            if (\Borlabs\Factory::get('Cache\Backend\License')->isPremiumLicense()) {
            ?>
                <?php wp_nonce_field('borlabs_cache_cache_indexing'); ?>
                <input type="hidden" name="formSend" value="1">
                <input class="button-primary" type="submit" value="<?php _ex('Apply', 'Button title', 'borlabs-cache'); ?>">
            <?php
            } else {
                echo \Borlabs\Factory::get('Cache\Backend\License')->getFeatureNotAvailableMessage();
            }
            ?>
        </fieldset>
    </form>

    <?php
    if (!empty($xmlSitemapURLs)) {
        if (!empty($xmlSitemapURLs['urls'])) {
            ?>
            <fieldset>
                <legend><?php printf(_x('URLs of sitemap &#8222;%s&#8220;', 'Sub headline', 'borlabs-cache'), $xmlSitemapURLs['xml-sitemap']); ?></legend>

                <p><?php _ex('Click on the button to start adding pages to your cache. If the system gets stuck just reload the current page and start again.', 'Cache Indexing - Setting page description', 'borlabs-cache'); ?><br>
                <?php _ex('Successfully added pages will not be shown on the list after the reload.', 'Cache Indexing - Setting page description', 'borlabs-cache'); ?></p>

                <p class="align-center">
                    <button class="button-primary" type="button" name="cacheIndexingProcessStart"><span><?php _ex('Start', 'Button title part 1', 'borlabs-cache'); ?></span><span class="hide"><?php _ex('Resume', 'Button title part 1', 'borlabs-cache'); ?></span> <?php _ex('indexing and caching', 'Button title part 2', 'borlabs-cache'); ?></button>
                    <button class="button-secondary" type="button" name="cacheIndexingProcessPause" disabled><?php _ex('Pause', 'Button title', 'borlabs-cache'); ?></button>
                </p>

                <div id="borlabs-cache-indexing-process" class="hide">
                    <p class="align-center no-margin"><span class="dashicons dashicons-update"></span> <?php printf(_x('Processing page %s of %s', 'Status', 'borlabs-cache'), '<span class="current"></span>', '<span class="total"></span>'); ?></p>
                </div>

                <table class="full-width">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th><?php _ex('URL', 'Table head', 'borlabs-cache'); ?></th>
                            <th><?php _ex('Time to create cache', 'Table head', 'borlabs-cache'); ?></th>
                            <th><?php _ex('Status', 'Table head', 'borlabs-cache'); ?></th>
                        </tr>
                    </thead>
                    <tbody>
                <?php
                $counter = 1;
                foreach ($xmlSitemapURLs['urls'] as $url) {
                    ?>
                    <tr data-borlabs-cache-url="<?php echo $url; ?>" data-borlabs-cache-url-processed="false">
                        <td><?php echo $counter; ?></td>
                        <td><?php echo $url; ?></td>
                        <td class="align-right" data-borlabs-cache-url-ttcc></td>
                        <td class="align-center" data-borlabs-cache-url-status>
                            <span class="dashicons dashicons-no"></span>
                        </td>
                    </tr>
                    <?php
                    $counter++;
                }
                ?>
                    </tbody>
                </table>
                <p>
                    <span class="dashicons dashicons-yes"></span> <?php _ex('Page was added to cache', 'Status', 'borlabs-cache'); ?><br>
                    <span class="dashicons dashicons-update"></span> <?php _ex('Page is currently processed', 'Status', 'borlabs-cache'); ?><br>
                    <span class="dashicons dashicons-no"></span> <?php _ex('Page was not added to the cache yet', 'Status', 'borlabs-cache'); ?><br>
                    <span class="dashicons dashicons-warning"></span> <?php _ex('Page could not be added to the cache', 'Status', 'borlabs-cache'); ?>
                </p>
            </fieldset>
            <?php
        }
    }
    ?>
</div>

<script type="text/javascript">
jQuery(document).ready(function ($) {

    var buttonStart = $("button[name='cacheIndexingProcessStart']");
    var buttonPause = $("button[name='cacheIndexingProcessPause']");
    var ttccSuffix = "<?php _ex('sec', 'Datetime', 'borlabs-cache'); ?>";
    var iterator = 0;
    var total = $("[data-borlabs-cache-url-processed='false']").length;
    var indexingStatus = false;
    var isProcessing = false;

    $("[data-borlabs-cache-sitemap-url]").on("click", function () {
        $("#xmlSitemapURL").val(jQuery(this)[0].dataset.borlabsCacheSitemapUrl);
    });

    buttonStart.on("click", function () {
        $(this).prop("disabled", true);

        if ($(this).children("span:first-child").hasClass("hide") == false) {
            $(this).children("span:first-child").addClass("hide");
            $(this).children("span:last-child").removeClass("hide");
        }

        buttonPause.prop("disabled", false);

        indexingStatus = true;

        $("#borlabs-cache-indexing-process span.dashicons-update").addClass("spin");
        $("#borlabs-cache-indexing-process span.total").html(total);

        borlabsCacheIndexingHandler();
    });

    buttonPause.on("click", function () {
        $(this).prop("disabled", true);
        buttonStart.prop("disabled", false);

        $("#borlabs-cache-indexing-process span.dashicons-update").removeClass("spin");

        indexingStatus = false;
    });

    borlabsCacheIndexingHandler = function () {

        if ($("#borlabs-cache-indexing-process").css("display") === "none") {
            $("#borlabs-cache-indexing-process").slideDown();
        }

        // Check if processing is not paused and no other process is running
        if (indexingStatus == true && isProcessing == false) {

            var preloadItems = $("[data-borlabs-cache-url-processed='false']");

            if (preloadItems.length) {
                var nextPreloadItem = preloadItems[0].dataset;

                // Update item
                $("[data-borlabs-cache-url='"+nextPreloadItem.borlabsCacheUrl+"']").children("[data-borlabs-cache-url-status]").children("span.dashicons").removeClass("dashicons-no").addClass("dashicons-update spin");

                iterator++;

                $("#borlabs-cache-indexing-process span.current").html(iterator);

                isProcessing = true;

                $.ajax(
                    ajaxurl,
                    {
                        type: "POST",
                        data: {
                            action: "borlabs_cache_handler",
                            type: "borlabsCacheIndexing",
                            _ajax_nonce: "<?php echo wp_create_nonce("borlabs-cache-indexing"); ?>",
                            url: nextPreloadItem.borlabsCacheUrl
                        }
                    }
                ).done(function (data) {

                    isProcessing = false;

                    data = $.parseJSON(data);

                    $("[data-borlabs-cache-url='"+nextPreloadItem.borlabsCacheUrl+"']").attr({"data-borlabs-cache-url-processed": "true"});

                    if (data.success) {
                        $("[data-borlabs-cache-url='"+nextPreloadItem.borlabsCacheUrl+"']").children("[data-borlabs-cache-url-ttcc]").html(data.ttcc+" "+ttccSuffix);
                        $("[data-borlabs-cache-url='"+nextPreloadItem.borlabsCacheUrl+"']").children("[data-borlabs-cache-url-status]").children("span.dashicons").removeClass("dashicons-update spin").addClass("dashicons-yes");

                        borlabsCacheIndexingHandler();
                    } else {
                        $("[data-borlabs-cache-url='"+nextPreloadItem.borlabsCacheUrl+"']").children("[data-borlabs-cache-url-status]").children("span.dashicons").removeClass("dashicons-update spin").addClass("dashicons-warning");
                    }
                }).fail(function (data) {
                    isProcessing = false;
                    $(buttonPause).trigger("click");
                });
            } else {
                isProcessing = false;
                $(buttonPause).trigger("click");
            }
        }
    }
});
</script>