<h1><?php _ex('Borlabs Cache &rsaquo; CDN', 'CDN - Top headline', 'borlabs-cache'); ?></h1>

<h2 class="nav-tab-wrapper">
    <a href="?page=borlabs-cache-cdn" class="nav-tab nav-tab-active"><?php _ex('CDN', 'CDN - Tab title', 'borlabs-cache'); ?></a>
    <a href="<?php _ex('https://borlabs.io/support/', 'Support URL', 'borlabs-cache'); ?>" class="nav-tab"><?php _ex('Support', 'Tab title', 'borlabs-cache'); ?> <span class="dashicons dashicons-external"></span></a>
</h2>
<div class="page-headline">
    <img src="<?php echo $this->imagePath; ?>/icons/cdn.svg" alt="">
    <h3><?php _ex('CDN', 'CDN - Headline right of icon', 'borlabs-cache'); ?></h3>
</div>
<div class="content">

    <div class="messages">
    <?php echo \Borlabs\Factory::get('Cache\Backend\Backend')->getMessages(); ?>
    </div>

    <form method="post">

        <fieldset>

            <legend><?php _ex('CDN', 'CDN - Headline of a fieldset', 'borlabs-cache'); ?></legend>

             <div class="form-group">
                <div class="form-title"><?php _ex('CDN', 'CDN - Setting title', 'borlabs-cache'); ?></div>
                <div class="form-field">
                    <label for="cdn">
                        <input<?php echo $checkboxCDN; ?> type="checkbox" name="cdn" id="cdn" value="yes"> <span class="option-title"><?php _ex('Activate', 'Setting checkbox', 'borlabs-cache'); ?></span>
                    </label>
                    <span class="description"><?php _ex('Activate to deliver your static assets through a CDN.', 'CDN - Setting description', 'borlabs-cache'); ?></span>
                </div>
            </div>

            <div class="form-group">
                <div class="form-title">
                    <label for="cdnProvider"><?php _ex('CDN Provider', 'CDN - Setting title', 'borlabs-cache'); ?></label>
                </div>
                <div class="form-field">
                    <select name="cdnProvider" id="cdnProvider">
                        <option<?php echo $optionCDNProviderStackPath; ?> value="CDNStackPath"><?php _ex('StackPath (MaxCDN)', 'CDN - Select option', 'borlabs-cache'); ?></option>
                        <option<?php echo $optionCDNProviderOther; ?> value="CDNOther"><?php _ex('Other', 'CDN - Select option', 'borlabs-cache'); ?></option>
                    </select>
                    <span class="description"><?php _ex('Select your CDN provider.', 'CDN - Setting description', 'borlabs-cache'); ?></span>
                </div>
            </div>

            <div class="form-group">
                <div class="form-title">
                    <label for="cdnURL"><?php _ex('CDN URL', 'CDN - Setting title', 'borlabs-cache'); ?></label>
                </div>
                <div class="form-field">
                    <input value="<?php echo $inputCDNURL; ?>" type="text" name="cdnURL" id="cdnURL" class="regular-text">
                    <span class="description"><?php _ex('Enter your CDN URL.', 'CDN - Setting description', 'borlabs-cache'); ?></span>
                </div>
            </div>

            <hr>
            <?php
            if (\Borlabs\Factory::get('Cache\Backend\License')->isPremiumLicense()) {
            ?>
                <?php wp_nonce_field('borlabs_cache_cdn'); ?>
                <input type="hidden" name="formSend" value="1">
                <input class="button-primary" type="submit" value="<?php _ex('Save settings', 'Button title', 'borlabs-cache'); ?>">
            <?php
            } else {
                echo \Borlabs\Factory::get('Cache\Backend\License')->getFeatureNotAvailableMessage();
            }
            ?>
        </fieldset>

    </form>
</div>