<h1><?php _ex('Borlabs Cache &rsaquo; Fragments', 'Fragments - Top headline', 'borlabs-cache'); ?></h1>

<h2 class="nav-tab-wrapper">
    <a href="?page=borlabs-cache-fragments" class="nav-tab nav-tab-active"><?php _ex('Fragments', 'Fragments - Tab title', 'borlabs-cache'); ?></a>
    <a href="<?php _ex('https://borlabs.io/support/', 'Support URL', 'borlabs-cache'); ?>" class="nav-tab"><?php _ex('Support', 'Tab title', 'borlabs-cache'); ?> <span class="dashicons dashicons-external"></span></a>
</h2>
<div class="page-headline">
    <img src="<?php echo $this->imagePath; ?>/icons/fragments.svg" alt="">
    <h3><?php _ex('Fragments', 'Fragments - Headline right of icon', 'borlabs-cache'); ?></h3>
</div>
<div class="content">

    <div class="messages">
    <?php echo \Borlabs\Factory::get('Cache\Backend\Backend')->getMessages(); ?>
    </div>

    <p><?php _ex('Fragment caching allows you to have dynamic code in your cached static files.', 'Fragments - Setting page description', 'borlabs-cache'); ?><br>
    <?php _ex('The number of WordPress functions available depends upon your <strong>Late Initialization</strong> (see <a href="?page=borlabs-cache-advanced-settings">Advanced Settings</a>) settings.', 'Fragments - Setting page description', 'borlabs-cache'); ?></p>

    <form method="post">

        <fieldset>

            <legend><?php _ex('Fragment Settings', 'Fragments - Headline of a fieldset', 'borlabs-cache'); ?></legend>

             <div class="form-group">
                <div class="form-title"><?php _ex('Fragment Caching', 'Fragments - Setting title', 'borlabs-cache'); ?></div>
                <div class="form-field">
                    <label for="fragmentCaching">
                        <input<?php echo $checkboxFragmentCaching; ?> type="checkbox" name="fragmentCaching" id="fragmentCaching" value="yes"> <span class="option-title"><?php _ex('Activate', 'Setting checkbox', 'borlabs-cache'); ?></span>
                    </label>
                    <span class="description"><?php _ex('Activate to parse PHP code between <strong>&lt;!--[borlabs cache start: ...]--&gt;</strong> and <strong>&lt;!--[borlabs cache end: ...]--&gt;</strong>.', 'Fragments - Setting description', 'borlabs-cache'); ?></span>
                </div>
            </div>

            <div class="form-group">
                <div class="form-title">
                    <label for="fragmentCachingMaskPhrase"><?php _ex('Fragment Mask Phrase', 'Fragments - Setting title', 'borlabs-cache'); ?></label>
                </div>
                <div class="form-field">
                    <input value="<?php echo $inputFragmentCachingMaskPhrase; ?>" type="text" name="fragmentCachingMaskPhrase" id="fragmentCachingMaskPhrase" class="regular-text">
                    <span class="description"><?php _ex('A phrase with a min length of 14 tokens. Allowed: a-z A-Z 0-9', 'Fragments - Setting description', 'borlabs-cache'); ?></span>
                </div>
            </div>

            <hr>
            <?php wp_nonce_field('borlabs_cache_fragments'); ?>
            <input type="hidden" name="formSend" value="1">
            <input class="button-primary" type="submit" value="<?php _ex('Save settings', 'Button title', 'borlabs-cache'); ?>">

        </fieldset>

    </form>

    <h4><?php _ex('Example', 'Fragments - Headline', 'borlabs-cache'); ?></h4>
    <p><?php _ex('Place this code in your theme, e.g. in sidebar.php', 'Fragments - Setting description', 'borlabs-cache'); ?></p>
    <code>
        &lt;!--[borlabs cache start: <?php echo $inputFragmentCachingMaskPhrase; ?>]--&gt;
        <br>
        <br>
        echo date('Y-m-d H:i:s');
        <br>
        <br>
        // Get some information about the current page. Helpful when you can't use is_archive() or $post.
        <br>
        $cachedData = \Borlabs\Factory::get('Cache\Frontend\Resolver')-&gt;getCachedPageData();
        <br>
        <br>
        echo &quot;&lt;pre&gt;&quot;;
        <br>
        print_r($cachedData);
        <br>
        echo &quot;&lt;/pre&gt;&quot;;
        <br>
        <br>
        // end of php code
        <br>
        {/<?php echo $inputFragmentCachingMaskPhrase; ?>}
        <br>
        <br>
        &lt;p&gt;Regular html-code outside of php&lt;/p&gt;
        <br>
        <br>
        {<?php echo $inputFragmentCachingMaskPhrase; ?>}
        <br>
        // start of php code again
        <br>
        <br>
        echo date('Y-m-d H:i:s');
        <br>
        <br>
        &lt;!--[borlabs cache end: <?php echo $inputFragmentCachingMaskPhrase; ?>]--&gt;
    </code>
</div>