<h1><?php _ex('Borlabs Cache &rsaquo; Import &amp; Export', 'Top headline', 'borlabs-cache'); ?></h1>

<h2 class="nav-tab-wrapper">
    <a href="?page=borlabs-cache-import-export" class="nav-tab nav-tab-active"><?php _ex('Import &amp; Export', 'Tab title', 'borlabs-cache'); ?></a>
    <a href="<?php _ex('https://borlabs.io/support/', 'Support URL', 'borlabs-cache'); ?>" class="nav-tab"><?php _ex('Support', 'Tab title', 'borlabs-cache'); ?> <span class="dashicons dashicons-external"></span></a>
</h2>
<div class="page-headline">
    <img src="<?php echo $this->imagePath; ?>/icons/import-export.svg" alt="">
    <h3><?php _ex('Import &amp; Export', 'Headline right of icon', 'borlabs-cache'); ?></h3>
</div>
<div class="content">

    <div class="messages">
    <?php echo \Borlabs\Factory::get('Cache\Backend\Backend')->getMessages(); ?>
    </div>

    <form method="post">

        <fieldset>

            <legend><?php _ex('Import', 'Import - Headline of a fieldset', 'borlabs-cache'); ?></legend>
            <?php
            if (\Borlabs\Factory::get('Cache\Backend\License')->isPremiumLicense()) {
            ?>
            <div class="form-group">
                <div class="form-title">
                    <label for="importSettings"><?php _ex('New settings', 'Import Form', 'borlabs-cache'); ?></label>
                </div>
                <div class="form-field">
                    <textarea name="importSettings" id="importSettings" cols="80" rows="5"></textarea>
                    <span class="description"><?php _ex('Paste your settings into the text area and click on <strong>Import settings</strong>.', 'Import - Setting description', 'borlabs-cache'); ?></span>
                </div>
            </div>

            <hr>
            <?php wp_nonce_field('borlabs_cache_import_export'); ?>
            <input type="hidden" name="formSend" value="1">
            <input class="button-primary" type="submit" value="<?php _ex('Import settings', 'Button title', 'borlabs-cache'); ?>">
            <?php
            } else {
                echo \Borlabs\Factory::get('Cache\Backend\License')->getFeatureNotAvailableMessage();
            }
            ?>
        </fieldset>

    </form>

    <fieldset>

        <legend><?php _ex('Export', 'Export - Headline of a fieldset', 'borlabs-cache'); ?></legend>

        <?php
        if (\Borlabs\Factory::get('Cache\Backend\License')->isPremiumLicense()) {
        ?>
        <div class="form-group">
            <div class="form-title">
                <label for="exportSettings"><?php _ex('Current settings', 'Export - Form', 'borlabs-cache'); ?></label>
            </div>
            <div class="form-field">
                <textarea name="exportSettings" id="exportSettings" cols="80" rows="5"><?php echo $textareaExportSettings; ?></textarea>
                <span class="description"><?php _ex('Copy the content of the text area and insert it into the import field of another WordPress instance where you want to apply your Borlabs Cache settings.', 'Export - Setting description', 'borlabs-cache'); ?></span>
            </div>
        </div>
        <?php
        } else {
            echo \Borlabs\Factory::get('Cache\Backend\License')->getFeatureNotAvailableMessage();
        }
        ?>
    </fieldset>

</div>