<h1><?php _ex('Borlabs Cache &rsaquo; License', 'Top headline', 'borlabs-cache'); ?></h1>

<h2 class="nav-tab-wrapper">
    <a href="?page=borlabs-cache-license" class="nav-tab nav-tab-active"><?php _ex('License', 'Tab title', 'borlabs-cache'); ?></a>
    <a href="<?php _ex('https://borlabs.io/support/', 'Support URL', 'borlabs-cache'); ?>" class="nav-tab"><?php _ex('Support', 'Tab title', 'borlabs-cache'); ?> <span class="dashicons dashicons-external"></span></a>
</h2>
<div class="page-headline">
    <img src="<?php echo $this->imagePath; ?>/icons/license.svg" alt="">
    <h3><?php _ex('License', 'Headline right of icon', 'borlabs-cache'); ?></h3>
</div>
<div class="content">

    <div class="messages">
    <?php echo \Borlabs\Factory::get('Cache\Backend\Backend')->getMessages(); ?>
    </div>

    <?php
    if (!empty($licenseUnlinkData)) {
    ?>
        <form action="" method="post">
            <fieldset>
                <legend><?php _ex('Unlink website from license', 'Headline of a fieldset', 'borlabs-cache'); ?></legend>

                <div class="form-group">
                    <div class="form-title">
                        <label for="licensePurchaseCode"><?php _ex('Select a website to unlink', 'Setting title', 'borlabs-cache'); ?></label>
                    </div>
                    <div class="form-field">
                        <table>
                            <thead>
                                <tr>
                                    <th class="align-left"><?php _ex('Website', 'Table headline', 'borlabs-cache'); ?></th>
                                    <th class="align-center"><?php _ex('Status', 'Table headline', 'borlabs-cache'); ?></th>
                                    <th class="align-center"><?php _ex('Unlink', 'License option', 'borlabs-cache'); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                            <?php
                            foreach ($licenseUnlinkData->unlink as $siteData) {
                                ?>
                                <tr>
                                    <td><?php echo $siteData->url; ?></td>
                                    <td class="align-center"><?php
                                        if ($siteData->status == 'active') {
                                            ?>
                                            <span class="dashicons dashicons-yes"></span>
                                            <?php
                                        } else {
                                            ?>
                                            <span class="dashicons dashicons-no"></span>
                                            <?php
                                        }
                                    ?>
                                    </td>
                                    <td class="align-center"><input type="radio" name="hash" value="<?php echo $siteData->hash; ?>"></td>
                                </tr>
                                <?php
                            }
                            ?>
                            </tbody>
                        </table>
                        <span class="description">
                            <?php _ex('You can unlink a website of your license by just selecting the radio-button in the row of the website.', 'License notice', 'borlabs-cache'); ?>
                            <br>
                            <?php _ex('After a website is unlinked, you are able to enter your license key again and register your new website.', 'License notice', 'borlabs-cache'); ?>
                        </span>
                    </div>
                </div>

                <?php wp_nonce_field('borlabs_cache_unlink_routine'); ?>
                <input type="hidden" name="formSend" value="1">
                <input type="hidden" name="licenseKey" value="<?php echo esc_attr($licenseUnlinkData->licenseKey); ?>">
                <input type="hidden" name="unlinkWebsite" value="1">
                <input class="button-primary" type="submit" value="<?php _ex('Unlink selected website', 'Button title', 'borlabs-cache'); ?>">
            </fieldset>
        </form>
        <?php
    }

    if (!empty($licenseData->licenseKey)) {
    ?>
        <h4><?php _ex('Your license status', 'Headline', 'borlabs-cache'); ?></h4>
        <table>
            <tr>
                <th><?php _ex('License status', 'Table headline', 'borlabs-cache'); ?></th>
                <td class="<?php echo $licenseStatus; ?>"><?php echo $licenseStatusMessage; ?></td>
            </tr>
            <tr>
                <th><?php _ex('License type', 'Table headline', 'borlabs-cache'); ?></th>
                <td><?php echo $licenseTitle; ?></td>
            </tr>
            <tr>
                <th><?php _ex('Valid until', 'Table headline', 'borlabs-cache'); ?></th>
                <td><?php echo $licenseValidUntil; ?></td>
            </tr>
            <tr>
                <th><?php _ex('Max Websites', 'Table headline', 'borlabs-cache'); ?></th>
                <td><?php echo $licenseMaxSites; ?></td>
            </tr>
            <tr>
                <th><?php _ex('Preload pages per day', 'Table headline', 'borlabs-cache'); ?></th>
                <td><?php echo $licenseMaxPPD; ?></td>
            </tr>
        </table>
        <?php
        // Check if license is Personal and if yes offer trial license
        if ($licenseData->licenseType == 'personal') {
            ?>
            <form action="" method="post">
                <fieldset>
                    <legend><?php _ex('Commercial Trial License', 'Headline of a fieldset', 'borlabs-cache'); ?></legend>
                    <?php wp_nonce_field('borlabs_cache_get_trial_license'); ?>
                    <input type="hidden" name="formSend" value="1">
                    <input type="hidden" name="getTrialLicense" value="1">
                    <input class="button-primary offer-button" type="submit" value="<?php _ex('Try the Commercial License free for 30 days', 'Button title', 'borlabs-cache'); ?>">
                </fieldset>
            </form>
            <?php
        }

    } else {
        ?>
        <form action="" method="post">
            <fieldset>
                <legend><?php _ex('Get your free Personal license', 'Headline of a fieldset', 'borlabs-cache'); ?></legend>

                <div class="messages">
                    <p class="offer"><?php _ex('The free Personal License includes the preloading of 25 pages per day by our Cache Preloader.', 'License info', 'borlabs-cache'); ?></p>
                </div>

                <div class="form-group">
                    <div class="form-title">
                        <label for="personal-license-mail"><?php _ex('Recovery email', 'Setting title', 'borlabs-cache'); ?></label>
                    </div>
                    <div class="form-field">
                        <input type="text" name="licenseMail" id="personal-license-mail" value="" class="large-text">
                        <span class="description"><?php _ex("This is optional. If you enter your email address, you will be able to easily recover your license key when you lost it.", 'Setting description', 'borlabs-cache'); ?></span>
                    </div>
                </div>
                <?php wp_nonce_field('borlabs_cache_get_personal_license'); ?>
                <input type="hidden" name="formSend" value="1">
                <input type="hidden" name="getPersonalLicense" value="1">
                <input class="button-primary green-button" type="submit" value="<?php _ex('Get a free Personal License', 'Button title', 'borlabs-cache'); ?>">
            </fieldset>
        </form>
        <?php
    }
    ?>

    <form action="" method="post">
        <fieldset>
            <legend><?php _ex('Manage your license', 'Headline of a fieldset', 'borlabs-cache'); ?></legend>

            <div class="form-group">
                <div class="form-title">
                    <label for="license-key">
                        <?php
                        if (defined('BORLABS_CACHE_SLUG') && BORLABS_CACHE_SLUG == 'borlabs-cache-envato/borlabs-cache-envato.php') {
                            _ex('Your Envato purchase code', 'Setting title', 'borlabs-cache');
                        } else {
                            _ex('Your license key', 'Setting title', 'borlabs-cache');
                        }
                        ?>
                    </label>
                </div>
                <div class="form-field">
                    <?php
                    if (defined('BORLABS_CACHE_SLUG') && BORLABS_CACHE_SLUG == 'borlabs-cache-envato/borlabs-cache-envato.php') {
                        ?>
                        <input type="text" name="licenseKey" id="license-key" value="" class="large-text" style="width: 300px;" placeholder="<?php echo !empty($licenseKey) ? $licenseKey : 'xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx'; ?>">
                        <span class="description"><?php _ex('You find your purchase code in your Envato Market email with the subject <strong>[CodeCanyon] Purchase Confirmation</strong>.', 'AS Debug - Setting description', 'borlabs-cache'); ?></span>
                        <?php
                    } else {
                        ?>
                        <input type="text" name="licenseKey" id="license-key" value="" placeholder="<?php echo $licenseKey; ?>" class="large-text">
                        <?php
                    }
                    ?>
                </div>
            </div>

            <div class="form-group">
                <div class="form-title">
                    <label for="license-mail"><?php _ex('Recovery email', 'Setting title', 'borlabs-cache'); ?></label>
                </div>
                <div class="form-field">
                    <input type="text" name="licenseMail" id="license-mail" value="<?php echo $licenseRecoveryMail; ?>" class="large-text">
                    <span class="description"><?php _ex("This is optional. If you enter your email address, you will be able to easily recover your license key when you lost it.", 'Setting description', 'borlabs-cache'); ?></span>
                </div>
            </div>
            <?php wp_nonce_field('borlabs_cache_manage_license'); ?>
            <input type="hidden" name="formSend" value="1">
            <input type="hidden" name="registerLicense" value="1">
            <?php
            if (defined('BORLABS_CACHE_SLUG') && BORLABS_CACHE_SLUG == 'borlabs-cache-envato/borlabs-cache-envato.php') {
                ?>
                <input class="button-primary" type="submit" value="<?php _ex('Save purchase code', 'Button title', 'borlabs-cache'); ?>">
                <?php
            } else {
                ?>
                <input class="button-primary" type="submit" value="<?php _ex('Save license key', 'Button title', 'borlabs-cache'); ?>">
                <?php
            }
            ?>
        </fieldset>
    </form>

    <?php
    if (!empty($licenseData)) {
    ?>
    <form action="" method="post">
        <fieldset>
            <legend><?php _ex('Remove license', 'Headline of a fieldset', 'borlabs-cache'); ?></legend>

            <div class="form-group">
                <div class="form-title"><?php _ex('Confirmation', 'License - Setting title', 'borlabs-cache'); ?></div>
                <div class="form-field">
                    <label for="licenseRemovalConfirmation">
                        <input type="checkbox" name="licenseRemovalConfirmation" id="licenseRemovalConfirmation" value="yes"> <span class="option-title"><?php _ex('Confirmed', 'Setting checkbox', 'borlabs-cache'); ?></span>
                    </label>
                    <span class="description"><?php _ex('Please confirm that you want to remove your license data from this website.', 'License - Setting description', 'borlabs-cache'); ?></span>
                    <span class="description"><?php _ex('After the license data is removed you are able to enter your new license key.', 'License - Setting description', 'borlabs-cache'); ?></span>
                </div>
            </div>
            <?php wp_nonce_field('borlabs_cache_remove_license'); ?>
            <input type="hidden" name="formSend" value="1">
            <input type="hidden" name="removeLicense" value="1">
            <input disabled id="executeLicenseRemoval" class="button-primary red-button" type="submit" value="<?php _ex('Remove license data', 'Button title', 'borlabs-cache'); ?>">
        </fieldset>
    </form>
    <?php
    }
    ?>

    <?php
    if (empty(\Borlabs\Factory::get('Cache\Backend\License')->isPremiumLicense())) {
    ?>
    <h4><?php _ex('Commercial license benefits', 'Headline', 'borlabs-cache'); ?></h4>

    <table>
        <thead>
            <tr>
                <th>&nbsp;</th>
                <th><?php _ex('Commercial', 'License info', 'borlabs-cache'); ?></th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <th class="align-center"><?php _ex('Services', 'License info', 'borlabs-cache'); ?></th>
                <th class="align-center">&nbsp;</th>
            </tr>
            <tr>
                <td><?php _ex('Support', 'License info', 'borlabs-cache'); ?></td>
                <td class="align-center"><span class="dashicons dashicons-yes"></span></td>
            </tr>
            <tr>
                <td><?php _ex('Cache Preloading*', 'License info', 'borlabs-cache'); ?></td>
                <td class="align-center"><?php _ex('up to 1000 pages per day', 'License info', 'borlabs-cache'); ?></td>
            </tr>
            <tr>
                <td><?php _ex('Cron Service', 'License info', 'borlabs-cache'); ?></td>
                <td class="align-center"><span class="dashicons dashicons-yes"></span></td>
            </tr>
            <tr>
                <th class="align-center"><?php _ex('Features', 'License info', 'borlabs-cache'); ?></th>
                <th class="align-center">&nbsp;</th>
            </tr>
            <tr>
                <td><?php _ex('Cache Indexing', 'License info', 'borlabs-cache'); ?></td>
                <td class="align-center"><span class="dashicons dashicons-yes"></span></td>
            </tr>
            <tr>
                <td><?php _ex('CDN Support', 'License info', 'borlabs-cache'); ?></td>
                <td class="align-center"><span class="dashicons dashicons-yes"></span></td>
            </tr>
            <tr>
                <td><?php _ex('Optimize Database', 'License info', 'borlabs-cache'); ?></td>
                <td class="align-center"><span class="dashicons dashicons-yes"></span></td>
            </tr>
            <tr>
                <td><?php _ex('Import &amp; Export', 'License info', 'borlabs-cache'); ?></td>
                <td class="align-center"><span class="dashicons dashicons-yes"></span></td>
            </tr>
            <tr>
                <th class="align-center"><?php _ex('Additional Settings', 'License info', 'borlabs-cache'); ?></th>
                <th class="align-center">&nbsp;</th>
            </tr>
            <tr>
                <td><?php _ex('Additional compression options', 'License info', 'borlabs-cache'); ?></td>
                <td class="align-center"><span class="dashicons dashicons-yes"></span></td>
            </tr>
            <tr>
                <td><?php _ex('Cache lifetimes per post type', 'License info', 'borlabs-cache'); ?></td>
                <td class="align-center"><span class="dashicons dashicons-yes"></span></td>
            </tr>
            <tr>
                <td><?php _ex('Cache exceptions per post type', 'License info', 'borlabs-cache'); ?></td>
                <td class="align-center"><span class="dashicons dashicons-yes"></span></td>
            </tr>
            <tr>
                <td><?php _ex('Lazy Load for images', 'License info', 'borlabs-cache'); ?></td>
                <td class="align-center"><span class="dashicons dashicons-yes"></span></td>
            </tr>
        </tbody>
    </table>
    <p><a href="https://borlabs.io/?utm_source=BorlabsCache&utm_medium=Textlink&utm_campaign=Analysis" rel="noreferrer" target="_blank" class="button"><?php _ex('Get Commercial license', 'License info', 'borlabs-cache'); ?></a></p>
    <p class="text-light"><?php _ex('*The amount of preloads per day depends on your license.', 'License info', 'borlabs-cache'); ?></p>
    <?php
    }
    ?>
</div>

<script type="text/javascript">
jQuery(document).ready(function () {
    jQuery('#licenseRemovalConfirmation').on('change', function () {
        if (jQuery(this).prop('checked')) {
            jQuery('#executeLicenseRemoval').prop('disabled', false);
        } else {
            jQuery('#executeLicenseRemoval').prop('disabled', true);
        }
    });
});
</script>